[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#524228: lintian: false positive incorrect-libdir-in-la-file /usr/lib/foo/ != /usr/lib/foo

Package: lintian
Version: 2.2.9
Severity: important

Hello maintainers,

lintian has a false positive on checking for incorrect-libdir-in-la-file.
In the package sbnc /usr/lib/sbnc/libbnctcl.la has the following libdir:

	# Directory that this library needs to be installed in:

This may come from some ugly hacks in my debian/rules to get this whole thing

Anyway lintian reports, that /usr/lib/sbnc/ != /usr/lib/sbnc, this is true in
a 'eq', but this libdir declaration is not wrong and on UNIX systems the same
as /usr/lib/sbnc.

It is a different bug as #522623.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils               2.19.1-1          The GNU assembler, linker and bina
ii  diffstat               1.46-1            produces graph of changes introduc
ii  dpkg-dev               1.14.26           Debian package development tools
ii  file                   5.00-1            Determines file type using "magic"
ii  gettext                0.17-6            GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libipc-run-perl        0.82-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2           parse Debian changelogs and output
ii  libtimedate-perl       1.1600-9          Time and date functions for Perl
ii  liburi-perl            1.37+dfsg-1       Manipulates and accesses URI strin
ii  man-db                 2.5.5-1           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.0-19         Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
pn  libtext-template-perl         <none>     (no description available)
ii  man-db                        2.5.5-1    on-line manual pager

-- no debconf information

Reply to: